apt-get ... nie można znaleźć archiwum programu.

Tematy związane z oprogramowaniem, instalacją, konfiguracją
skrzzat
Posty: 4
Rejestracja: 06 lutego 2020, 07:43

apt-get ... nie można znaleźć archiwum programu.

Post autor: skrzzat » 05 marca 2020, 08:06

Witam, mam taki problem na który w googlach nie mogę znaleźć odpowiedzi, dlatego piszę tu ale do rzeczy.
Linux debian w momencie wpisanie komendy apt-get upgrade pojawia się komunikat
E: Pakiet apcupsd-doc ma zostać przeinstalowany, ale nie można znaleźć jego archiwum.

Nie bardzo wiem co z tym zrobić z linuxem mam małe doświadczenie ale liczę na waszą pomoc.

Awatar użytkownika
dedito
Moderator
Posty: 3186
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: apt-get ... nie można znaleźć archiwum programu.

Post autor: dedito » 05 marca 2020, 10:22

Kod: Zaznacz cały

apt policy apcupsd-doc

skrzzat
Posty: 4
Rejestracja: 06 lutego 2020, 07:43

Re: apt-get ... nie można znaleźć archiwum programu.

Post autor: skrzzat » 05 marca 2020, 13:13

po wpisaniu

Kod: Zaznacz cały

apt policy apcupsd-doc
a przy

Kod: Zaznacz cały

apt-get policy aocupsd-doc
E: Nieprawidłowa operacja policy

dystrybucja linuxa
Linux uwew 2.6.18-6-686 #1 SMP Tue Jun 17 21:31:27 UTC 2008 i686 GNU/Linux

Awatar użytkownika
dedito
Moderator
Posty: 3186
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: apt-get ... nie można znaleźć archiwum programu.

Post autor: dedito » 05 marca 2020, 13:13

Co to za zabytek?

Kod: Zaznacz cały

apt-cache policy apcupsd-doc

skrzzat
Posty: 4
Rejestracja: 06 lutego 2020, 07:43

Re: apt-get ... nie można znaleźć archiwum programu.

Post autor: skrzzat » 05 marca 2020, 13:15

Dostałem w spadku po poprzedniku ten zabytek

Kod: Zaznacz cały

apcupsd-doc:
  Zainstalowana: 3.14.12-1.1
  Kandydująca: 3.14.12-1.1
  Tabela wersji:
 *** 3.14.12-1.1 0
        100 /var/lib/dpkg/status
     3.12.4-2 0
        500 http://ftp.pl.debian.org etch/main Packages[\code]

Awatar użytkownika
dedito
Moderator
Posty: 3186
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: apt-get ... nie można znaleźć archiwum programu.

Post autor: dedito » 05 marca 2020, 13:16

To migruj na aktualnie wspieraną wersję bo etch już nie jest wspierany.
Ale jeśli z jakiś powodów zdecydujesz się pozostać na obecnej edycji, wtedy skoryguj sobie źródła repozytorii zgodnie z https://www.debian.org/distrib/archive.pl.html i po tym update i upgrade.

ODPOWIEDZ